﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using NavigationMode = Syncfusion.UI.Xaml.Grid.NavigationMode;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace SfDataGridDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            datagrid = new NewGrid
            {
                ColumnSizer = GridLengthUnitType.Star,
                AutoGenerateColumns = true,
                NavigationMode = NavigationMode.Cell,
                AllowEditing = true,
                AutoGenerateRelations = false,
            };
            datagrid.SetBinding(SfDataGrid.ItemsSourceProperty, new Binding {Path = new PropertyPath("OrderInfoCollection")});
            datagrid.Columns.Add(new GridTextColumn
            {
                MappingName = "OrderID",
                HeaderText = "Order ID",
            });
            datagrid.Columns.Add(new GridTextColumn
            {
                MappingName = "CustomerID",
                HeaderText = "Customer ID",
            });
            datagrid.Columns.Add(new GridTextColumn
            {
                MappingName = "CustomerName",
                HeaderText = "Customer Name",
            });
            datagrid.Columns.Add(new GridTextColumn
            {
                MappingName = "Country",
                HeaderText = "Country",
            });
            datagrid.Columns.Add(new GridTextColumn
            {
                MappingName = "ShipCity",
                HeaderText = "Ship City",
            });
            grid.Children.Add(datagrid);
        }

        private SfDataGrid datagrid;
    }
}
